Attach file to form field from URL

Uploads a file from a public URL into Coperniq and attaches it to a specific FILE-type field on the form.

Authentication

x-api-keystring
API Key authentication via header

Path parameters

formIdstringRequired
Form identifier

Request

This endpoint expects an object.
columnIdintegerRequired

ID of the FILE-type field to attach the uploaded file to.

urlstringRequiredformat: "uri"
Public URL of the file to upload.
namestringOptional
Optional display name for the uploaded file.
projectIdintegerOptional
Optional project ID to associate with the file. This will add the file to the project's 'Docs' section at the root level.
actionenumOptional

Whether to append to existing files (add) or replace them entirely (replace). Defaults to add.

Allowed values:

Response

File uploaded and attached successfully
successboolean or null
fileIdinteger or null
formIdinteger or null
columnIdinteger or null
projectIdinteger or null
actionstring or null

Errors